# coding: utf-8
from django.conf.urls import patterns, include, url
from django.conf import settings
from django.contrib import admin
from django.views.generic import TemplateView
from video_store.models import Store
from video_store.views import StoreListView
admin.autodiscover()
stores = {
    'queryset': Store.objects.all(),
    'template_name': 'stores.html',
}

urlpatterns = patterns('',(r'^admin/', include(admin.site.urls)),)
#from django.conf.urls.defaults import *

urlpatterns += patterns('',(r'^time/$', 'pokus.views.current_time'))


if settings.DEBUG:
    urlpatterns += patterns('',
        (r'^%s(?P<path>.*)$' % settings.MEDIA_URL[1:], 'django.views.static.serve', {'document_root': settings.MEDIA_ROOT}),
    )

urlpatterns += patterns('',
    (r'^admin/', include(admin.site.urls)), # Django 1.0: (r'^admin/(.*)', admin.site.root),
    (r'^$', TemplateView.as_view(template_name="front_page.html")),
    (r'^provozovny/$',StoreListView.as_view(template_name="stores.html")),
    (r'^nabidka/$', 'video_store.views.film_list'),
    (r'^nabidka/([a-z])/$', 'video_store.views.film_list'),
    (r'^nabidka/detail/(\d+)/$', 'video_store.views.film_detail'),
    (r'^kontakt(|/odeslano)/$', 'video_store.views.contact'),
   )

