
# Register your models here.
from django.contrib import admin
from models import Store, Film, Director

class StoreAdmin(admin.ModelAdmin):
    list_display = ('store', 'address', 'city', 'postal_code')

admin.site.register(Store, StoreAdmin)

class FilmAdmin(admin.ModelAdmin):
    list_display = ('name_czech', 'name_original', 'year', 'director', 'format')
    list_filter = ('format', 'store')
    search_fields = ['name_czech', 'name_original']

admin.site.register(Film, FilmAdmin)

class DirectorAdmin(admin.ModelAdmin):
    search_fields = ['name']

admin.site.register(Director, DirectorAdmin)